/*
 * pitch vibrato for gus
 */
struct {
	unsigned char delay;
	unsigned char period;
	unsigned short depth;
} vibrato[128] = {
/* 0	Acoustic Grand */	{  0,  0,  1200 },
/* 1	Bright Acoustic */	{  0,  0,  1200 },
/* 2	Electric Grand */	{  0,  0,  1200 },
/* 3	Honky-tonk Piano */	{  0,  0,  1200 },
/* 4	Rhodes Piano */		{  0,  0,  1200 },
/* 2	Chorused Piano */	{  0,  0,  1200 },
/* 6	Harpsichord */		{  0,  0,  1200 },
/* 7	Clavinet */		{  0,  0,  1200 },
/* 8	Celesta */		{  0,  0,  1200 },
/* 9	Glockenspiel */		{  0,  0,  1200 },
/* 10	Musicbox */		{  0,  0,  1200 },
/* 11	Vibraphone */		{  0, 20,  1200 },
/* 12	Marimba */		{  0,  0,  1200 },
/* 13	Xylophone */		{  0,  0,  1200 },
/* 14	Tubular Bells */	{  0,  0,  1200 },
/* 15	Dulcimer */		{  0,  0,  1200 },
/* 16	Hammond Organ */	{  0, 25,   800 },
/* 17	Percussive Organ */	{  0, 25,   800 },
/* 18	Rock Organ */		{  0, 25,   800 },
/* 19	Church Organ */		{  0,  0,  1200 },
/* 20	Reed Organ */		{  0, 25,   800 },
/* 21	Accordion */		{  0, 25,   800 },
/* 22	Harmonica */		{  0, 25,   800 },
/* 23	Tango Accordion */	{  0, 25,   800 },
/* 24	Nylon Guitar */		{  0,  0,  1200 },
/* 25	Steel Guitar */		{  0,  0,  1200 },
/* 26	Jazz Guitar */		{  0, 25,  1200 },
/* 27	Clean Guitar */		{  0, 25,  1200 },
/* 28	Muted Guitar */		{  0, 25,  1200 },
/* 29	Overdriven Guitar */	{  0, 25,  1200 },
/* 30	Distortion Guitar */	{  0, 25,  1200 },
/* 31	Guitar Harmonics */	{  0,  0,  1200 },
/* 32	Acoustic Bass */	{  0,  0,  1200 },
/* 33	Finger Bass */		{  0,  0,  1200 },
/* 34	Pick Bass */		{  0,  0,  1200 },
/* 35	Fretless Bass */	{  0,  0,  1200 },
/* 36	Slap Bass 1 */		{  0,  0,  1200 },
/* 37	Slap Bass 2 */		{  0,  0,  1200 },
/* 38	Synth Bass 1 */		{  0,  0,  1200 },
/* 39	Synth Bass 2 */		{  0,  0,  1200 },
/* 40	Violin */		{ 10, 32,   800 },
/* 41	Viola */		{ 10, 32,   800 },
/* 42	Cello */		{ 10, 32,   800 },
/* 43	Contrabass */		{ 10, 32,   800 },
/* 44	Tremolo Strings */	{  0, 32,  1200 },
/* 45	Pizzicato String */	{  0,  0,  1200 },
/* 46	Orchestral Harp */	{  0,  0,  1200 },
/* 47	Timpani */		{  0,  0,  1200 },
/* 48	String Ensemble 1 */	{  0, 20,  1200 },
/* 49	String Ensemble 2 */	{  0, 20,  1200 },
/* 50	Synth Strings 1 */	{ 10, 32,   800 },
/* 51	Synth Strings 2 */	{ 10, 32,   800 },
/* 52	Choir Aahs */		{  0, 20,  1200 },
/* 53	Voice Oohs */		{  0, 20,  1200 },
/* 54	Synth Voice */		{  0, 20,  1200 },
/* 55	Orchestra Hit */	{  0,  0,  1200 },
/* 56	Trumpet */		{ 10, 25,   800 },
/* 57	Trombone */		{  0,  0,  1200 },
/* 58	Tuba */			{  0,  0,  1200 },
/* 59	Muted Trumpet */	{ 35, 25,  1000 },
/* 60	French Horn */		{  0,  0,  1200 },
/* 61	Brass Section */	{  0,  0,  1200 },
/* 62	Synth Brass 1 */	{  0,  0,  1200 },
/* 63	Synth Brass 2 */	{  0,  0,  1200 },

/* 64	Soprano Sax */		{ 35, 33,   800 },
/* 65	Alto Sax */		{ 35, 33,   800 },
/* 66	Tenor Sax */		{ 35, 33,   800 },
/* 67	Baritone Sax */		{ 35, 33,   800 },
/* 68	Oboe */			{ 20, 33,   800 },
/* 69	English Horn */		{ 20, 33,   800 },
/* 70	Bassoon */		{ 20, 33,   800 },
/* 71	Clarinet */		{ 20, 33,   800 },
/* 72	Piccolo */		{  0, 33,   800 },
/* 73	Flute */		{  0, 33,   800 },
/* 74	Recorder */		{ 20, 33,   800 },
/* 75	Pan Flute */		{  0,  0,  1200 },
/* 76	Bottle Blow */		{  0,  0,  1200 },
/* 77	Shakuhachi */		{  0,  0,  1200 },
/* 78	Whistle */		{ 20, 33,   800 },
/* 79	Ocarina */		{  0,  0,  1200 },
/* 80	Lead1 squareea */	{  0,  0,  1200 },
/* 81	Lead2 sawtooth */	{  0,  0,  1200 },
/* 82	Lead3 calliope */	{  0,  0,  1200 },
/* 83	Lead4 chiff */		{  0,  0,  1200 },
/* 84	Lead5 charang */	{  0, 20,  1200 },
/* 85	Lead6 voice */		{  0, 16,  1200 },
/* 86	Lead7 fifths */		{  0,  0,  1200 },
/* 87	Lead8 brass+ld */	{  0, 33,   800 },
/* 88	Pad1 newage */		{  0, 25,  1200 },
/* 89	Pad2 warm */		{  0, 25,  1200 },
/* 90	Pad3 polysynth */	{  0, 25,  1200 },
/* 91	Pad4 choir */		{  0, 25,  1200 },
/* 92	Pad5 bowed */		{  0, 25,  1200 },
/* 93	Pad6 metallic */	{  0, 25,  1200 },
/* 94	Pad7 halo */		{  0, 25,  1200 },
/* 95	Pad8 sweep */		{  0, 25,  1200 },
/* 96	FX1 rain */		{  0,  0,  1200 },
/* 97	FX2 soundtrack */	{  0,  0,  1200 },
/* 98	FX3 crystal */		{  0,  0,  1200 },
/* 99	FX4 atmosphere */	{  0,  0,  1200 },
/*100	FX5 brightness */	{  0,  0,  1200 },
/*101	FX6 goblins */		{  0,  0,  1200 },
/*102	FX7 echoes */		{  0,  0,  1200 },
/*103	FX8 sci-fi */		{  0,  0,  1200 },
/*104	Sitar */		{  0, 50,   800 },
/*105	Banjo */		{  0,  0,  1200 },
/*106	Shamisen */		{  0,  0,  1200 },
/*107	Koto */			{  0,  0,  1200 },
/*108	Kalimba */		{  0,  0,  1200 },
/*109	Bagpipe */		{  0,  0,  1200 },
/*110	Fiddle */		{  0,  0,  1200 },
/*111	Shanai */		{  0,  0,  1200 },
/*112	Tinkle Bell */		{  0,  0,  1200 },
/*113	Agogo Bells */		{  0,  0,  1200 },
/*114	Steel Drums */		{  0,  0,  1200 },
/*115	Woodblock */		{  0,  0,  1200 },
/*116	Taiko Drum */		{  0,  0,  1200 },
/*117	Melodic Tom */		{  0,  0,  1200 },
/*118	Synth Drum */		{  0,  0,  1200 },
/*119	Reverse Cymbal */	{  0,  0,  1200 },
/*120	Guitar Fret Noise */	{  0,  0,  1200 },
/*121	Breath Noise */		{  0,  0,  1200 },
/*122	Seashore */		{  0,  0,  1200 },
/*123	Bird Tweet */		{  0,  0,  1200 },
/*124	Telephone Ring */	{  0,  0,  1200 },
/*125	Helicopter Blade */	{  0,  0,  1200 },
/*126	Applause/Noise */	{  0,  0,  1200 },
/*127	Gunshot */		{  0,  0,  1200 }
};
